Package com.enonic.xp.attachment

## Class Attachments

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<Attachment>
  - - com.enonic.xp.attachment.Attachments

- All Implemented Interfaces:
    `Iterable<Attachment>`

      @PublicApi
      public final class Attachments
      extends AbstractImmutableEntityList<Attachment>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Attachments.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Attachments` | `add​(Attachment... attachments)` |
    `Attachments` | `add​(Iterable<Attachment> attachments)` |
    `Attachment` | `byLabel​(String label)` |
    `Attachment` | `byName​(String name)` |
    `static Attachments.Builder` | `create()` |
    `static Attachments` | `empty()` |
    `static Attachments` | `from​(Attachment... contents)` |
    `static Attachments` | `from​(Iterable<? extends Attachment> contents)` |
    `static Attachments` | `from​(Collection<? extends Attachment> contents)` |
    `boolean` | `hasByLabel​(String label)` |
    `boolean` | `hasByName​(String name)` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### byName

          public Attachment byName​(String name)

    - #### byLabel

          public Attachment byLabel​(String label)

    - #### hasByName

          public boolean hasByName​(String name)

    - #### hasByLabel

          public boolean hasByLabel​(String label)

    - #### add

          public Attachments add​(Attachment... attachments)

    - #### add

          public Attachments add​(Iterable<Attachment> attachments)

    - #### empty

          public static Attachments empty()

    - #### from

          public static Attachments from​(Attachment... contents)

    - #### from

          public static Attachments from​(Iterable<? extends Attachment> contents)

    - #### from

          public static Attachments from​(Collection<? extends Attachment> contents)

    - #### create

          public static Attachments.Builder create()